#include <stdio.h>
#include <stdlib.h>

void ispis(int n){
    if (n==1)
        printf("prvi");
    else if (n==2)
        printf("drugi");
    else if (n==0)
        printf("nijedan");
    else if (n==3)
        printf("?");
}

int main()
{
    int a,b,x,y;
    scanf("%d", &a);
    scanf("%d", &b);
    scanf("%d", &x);
    scanf("%d", &y);

    if (a==x && b==y)
        ispis(0);
    else if (a==x && b!=y)
        ispis(2);
    else if (a!=x && b==y)
        ispis(1);
    else
        ispis(3);
    //printf("\n%d %d %d %d", a, b, x, y);
    return 0;
}